Bug 847007 - Search filter not working in bundle deployment wizard
Search filter not working in bundle deployment wizard
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
medium Severity medium (vote)
: ---
: RHQ 4.5.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On: 822795
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 08:35 EDT by Jirka Kremser
Modified: 2013-09-01 06:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 822795
Environment:
Last Closed: 2013-09-01 06:18:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jirka Kremser 2012-08-09 08:35:54 EDT
+++ This bug was initially created as a clone of Bug #822795 +++

Description of problem:

Created bundles with names like 'test', 'test1', 'test2', 'test3', 'newtest1' and 'example'. When I enter text 'test' in search filter box in bundle deployment wizard, the bundle names are not filtered. It should filter and display the bundles 'test', 'test1', 'test2', 'test3' and 'newtest1' in 'Available Bundles' table in bundle deployment wizard.

Please refer the attached screenshot.

Version-Release number of selected component (if applicable):

Version: 3.1.0.BETA1
Build Number: 95ef567:68f5518
Browsers: Firefox 10.0.2 , Firefox 3.6.24

How reproducible:

Always

Steps to Reproduce:

1. Navigate to bundles menu.
2. Upload some bundles (Ex: bundles with names - 'test', 'test1', 'test2', 'test3', 'newtest1' and 'example')
3. click on 'Deploy' button.
4. Enter text 'test' in search filter box in bundle deployment wizard.
  
Actual results:

Search filter not working in bundle deployment wizard.

Expected results:
Search filter should work.

Additional info:

--- Additional comment from skondkar@redhat.com on 2012-05-18 03:53:47 EDT ---

Created attachment 585357 [details]
Screenshot

--- Additional comment from mfoley@redhat.com on 2012-05-21 11:52:03 EDT ---

per BZ triage 5/21/2012 (asantos, loleary, ccrouch, mfoley)

--- Additional comment from ccrouch@redhat.com on 2012-08-02 19:28:56 EDT ---

This should just be a standard component we're using here. We should investigate this and determine if its just broken here or its also broken elsewhere e.g. in the role assignment page for a user, or the resource assignment page for a group.

--- Additional comment from jkremser@redhat.com on 2012-08-09 07:06:51 EDT ---

It is not a general problem with the component. ResourceSelector and ResourceGroupSelector work as expected. The problem is that Resource{Group}Selectors allow for using our DSL query language (criteria.setSearchExpression) and bundles don't. 
I'll consider the search string for bundles as a common name of bundle and it should work.

--- Additional comment from jkremser@redhat.com on 2012-08-09 08:33:45 EDT ---

http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=0855639

master
time:    Thu Aug 9 13:12:03 2012 +0200
commit:  0855639970da484fa6ee9782edabb47184aca138
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 822795 - Search filter not working in bundle deployment wizard] Added filtering by the name of the bundle. (cherry picked from commit 21e61a1588663c97975580003c00dfd8cbc20798)
Comment 1 Jirka Kremser 2012-08-09 08:38:15 EDT
http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=21e61a1

master
time:    Thu Aug 9 13:12:03 2012 +0200
commit:  21e61a1588663c97975580003c00dfd8cbc20798
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 822795 - Search filter not working in bundle deployment wizard] Added filtering by the name of the bundle.
Comment 2 Heiko W. Rupp 2013-09-01 06:18:41 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.